curl --request POST \
--url https://api.qovery.com/cluster/{clusterId}/upgrade \
--header 'Authorization: Bearer <token>'{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "BUILDING",
"is_deployed": true,
"next_k8s_available_version": "1.28",
"last_execution_id": "f73e3833-922a-48a5-9dbd-6163f43f9143-1656410242",
"cluster_lock": {
"reason": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locked_at": "2023-11-07T05:31:56Z",
"owner_name": "<string>",
"ttl_in_days": 123
},
"last_deployment_date": "2022-06-22T14:20:17.733084815Z"
}allows to upgrade a cluster to next available kubernetes version
curl --request POST \
--url https://api.qovery.com/cluster/{clusterId}/upgrade \
--header 'Authorization: Bearer <token>'{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "BUILDING",
"is_deployed": true,
"next_k8s_available_version": "1.28",
"last_execution_id": "f73e3833-922a-48a5-9dbd-6163f43f9143-1656410242",
"cluster_lock": {
"reason": "<string>",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locked_at": "2023-11-07T05:31:56Z",
"owner_name": "<string>",
"ttl_in_days": 123
},
"last_deployment_date": "2022-06-22T14:20:17.733084815Z"
}Documentation Index
Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Cluster ID
Upgrade cluster
BUILDING, BUILD_ERROR, CANCELED, CANCELING, DELETED, DELETE_ERROR, DELETE_QUEUED, DELETING, DEPLOYED, DEPLOYING, DEPLOYMENT_ERROR, DEPLOYMENT_QUEUED, DRY_RUN, QUEUED, READY, STOPPED, STOPPING, STOP_ERROR, STOP_QUEUED, RESTART_QUEUED, RESTARTING, RESTARTED, RESTART_ERROR, INVALID_CREDENTIALS "1.28"
"f73e3833-922a-48a5-9dbd-6163f43f9143-1656410242"
Show child attributes
"2022-06-22T14:20:17.733084815Z"
Was this page helpful?